Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1273545 - neutron server and openvswitch agent need to be bounced after initial deployment [NEEDINFO]
Summary: neutron server and openvswitch agent need to be bounced after initial deployment
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 7.0 (Kilo)
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
: 8.0 (Liberty)
Assignee: Assaf Muller
QA Contact: Ofer Blaut
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-20 16:22 UTC by Kambiz Aghaiepour
Modified: 2017-07-17 17:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-17 17:56:42 UTC
Target Upstream Version:
amuller: needinfo? (kambiz)


Attachments (Terms of Use)

Description Kambiz Aghaiepour 2015-10-20 16:22:14 UTC
Description of problem:

After installation using rhos-director 7.1, I find that every time immediately after the deployment, I need to login to the controller and issue:

  pcs resource cleanup neutron-openvswitch-agent
and
  pcs resource cleanup neutron-server

The deployment has 1 controller, 1 compute node and 2 ceph nodes.

Version-Release number of selected component (if applicable):

This is the rpm -qa output from the undercloud where package name includes "openstack":

[root@undercloud-oslab tmp]# rpm -qa | grep openstack
openstack-ceilometer-alarm-2015.1.1-1.el7ost.noarch
python-django-openstack-auth-1.2.0-5.el7ost.noarch
openstack-keystone-2015.1.1-1.el7ost.noarch
openstack-dashboard-theme-2015.1.1-2.el7ost.noarch
openstack-heat-templates-0-0.6.20150605git.el7ost.noarch
openstack-tripleo-0.0.7-0.1.1664e566.el7ost.noarch
openstack-nova-novncproxy-2015.1.1-1.el7ost.noarch
openstack-swift-object-2.3.0-1.el7ost.noarch
openstack-nova-common-2015.1.1-1.el7ost.noarch
openstack-tuskar-0.4.18-4.el7ost.noarch
openstack-puppet-modules-2015.1.8-21.el7ost.noarch
openstack-neutron-openvswitch-2015.1.1-6.el7ost.noarch
openstack-nova-api-2015.1.1-1.el7ost.noarch
redhat-access-plugin-openstack-7.0.0-0.el7ost.noarch
openstack-heat-engine-2015.1.1-5.el7ost.noarch
openstack-ceilometer-common-2015.1.1-1.el7ost.noarch
openstack-ironic-conductor-2015.1.1-4.el7ost.noarch
openstack-tempest-kilo-20150708.2.el7ost.noarch
openstack-tripleo-puppet-elements-0.0.1-5.el7ost.noarch
openstack-tuskar-ui-0.4.0-3.el7ost.noarch
openstack-utils-2014.2-1.el7ost.noarch
openstack-tripleo-common-0.0.1.dev6-3.git49b57eb.el7ost.noarch
openstack-heat-api-cloudwatch-2015.1.1-5.el7ost.noarch
openstack-ironic-common-2015.1.1-4.el7ost.noarch
openstack-selinux-0.6.37-1.el7ost.noarch
openstack-nova-conductor-2015.1.1-1.el7ost.noarch
openstack-swift-account-2.3.0-1.el7ost.noarch
openstack-swift-proxy-2.3.0-1.el7ost.noarch
openstack-ceilometer-notification-2015.1.1-1.el7ost.noarch
openstack-ceilometer-collector-2015.1.1-1.el7ost.noarch
openstack-ceilometer-api-2015.1.1-1.el7ost.noarch
openstack-ironic-api-2015.1.1-4.el7ost.noarch
openstack-swift-plugin-swift3-1.7-3.el7ost.noarch
openstack-tuskar-ui-extras-0.0.4-1.el7ost.noarch
openstack-tripleo-heat-templates-0.8.6-71.el7ost.noarch
openstack-glance-2015.1.1-1.el7ost.noarch
openstack-heat-api-2015.1.1-5.el7ost.noarch
openstack-ceilometer-central-2015.1.1-1.el7ost.noarch
openstack-ironic-discoverd-1.1.0-6.el7ost.noarch
openstack-nova-compute-2015.1.1-1.el7ost.noarch
openstack-neutron-ml2-2015.1.1-6.el7ost.noarch
openstack-tripleo-image-elements-0.9.6-10.el7ost.noarch
openstack-nova-scheduler-2015.1.1-1.el7ost.noarch
openstack-dashboard-2015.1.1-2.el7ost.noarch
openstack-nova-cert-2015.1.1-1.el7ost.noarch
openstack-neutron-common-2015.1.1-6.el7ost.noarch
openstack-heat-common-2015.1.1-5.el7ost.noarch
openstack-swift-container-2.3.0-1.el7ost.noarch
openstack-nova-console-2015.1.1-1.el7ost.noarch
python-openstackclient-1.0.3-2.el7ost.noarch
openstack-neutron-2015.1.1-6.el7ost.noarch
openstack-heat-api-cfn-2015.1.1-5.el7ost.noarch
openstack-swift-2.3.0-1.el7ost.noarch

All hosts are rhel7.1. Repo references are internal.

Comment 2 Assaf Muller 2015-10-20 16:39:50 UTC
Why?

Comment 3 Kambiz Aghaiepour 2015-10-20 17:51:23 UTC
Because after the deployment finishes and the overcloud is started, when I source the overcloudrc and run:

  neutron agent-list

it shows the XXX instead of the happy face for those services.  Furthermore, when I login to heat-admin@<controller ip> and as root, run:

  pcs status

it indicates a problem with neutron-server and neutron-openvswitch-agent.  Restarting these via:  

  pcs resource cleanup neutron-openvswitch-agent
  pcs resource cleanup neutron-server

seems to make the overcloud usable.  This has happened every single time we've deployed.

Comment 4 Assaf Muller 2015-10-20 18:10:29 UTC
Before you restart the services, are they up? If they are, any errors in the logs?

Comment 5 Kambiz Aghaiepour 2015-10-21 14:29:04 UTC
I will try and reproduce this but it may take some time.  Also we've added some pre deployment steps to ensure packages are up2date which may make reproducing it more difficult.

Comment 6 Assaf Muller 2016-06-04 16:31:20 UTC
Any luck?


Note You need to log in before you can comment on or make changes to this bug.